import Vue from 'vue'
import { USER_INFO, ENHANCE_PRE, ACCESS_TOKEN, MENU_DATA } from '@/store/mutation-types'
const getters = {
  device: state => state.app.device,
  theme: state => state.app.theme,
  color: state => state.app.color,
  token: state => {state.user.token = Vue.ls.get(ACCESS_TOKEN); return state.user.token},
  avatar: state => {state.user.avatar = Vue.ls.get(USER_INFO).avatar; return state.user.avatar},
  username: state => state.user.info.loginName,
  nickname: state => {state.user.info.realname = Vue.ls.get(USER_INFO).username; return state.user.info.realname},
  welcome: state => state.user.welcome,
  permissionList: state => {state.user.permissionList = Vue.ls.get(MENU_DATA); return state.user.permissionList},
  userInfo: state => {state.user.info = Vue.ls.get(USER_INFO); return state.user.info},
  addRouters: state => state.permission.addRouters,
  onlAuthFields: state => {return state.online.authFields },
  enhanceJs:(state) => (code) => {
    state.enhance.enhanceJs[code] = Vue.ls.get(ENHANCE_PRE+code);
    return state.enhance.enhanceJs[code]
  },
  sysSafeMode: state => state.user.sysSafeMode,
  uploadStatus: state => state.upload.uploadStatus,
  savePosition: state => state.position.savePosition,
}

export default getters
